<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="cn.com.ty.lift.ud.applyExpert.mapper.ApplyExpertMapper">

    <select id="selectByQuery"
        resultType="cn.com.ty.lift.ud.applyExpert.mapper.entity.ApplyExpert">
        SELECT a.*,b.`name` nickname,b.`mobile` registMobile FROM apply_expert a LEFT JOIN user_info b ON a.`user_id`=b.`user_id`
        <where>
            ${ew.sqlSegment}
        </where>
        limit #{page.pageIndex},#{page.pageSize}
    </select>
    <select id="countByQuery" resultType="java.lang.Integer">
        SELECT count(*) FROM apply_expert a LEFT JOIN user_info b ON a.`user_id`=b.`user_id`
        <where>
            ${ew.sqlSegment}
        </where>
    </select>


</mapper>